##### 7.5.2.0. scalarProd

Procedure from library `bfun.lib` (see bfun_lib).

Usage:
  scalarProd(v,w); v,w intvecs

Return:
  int, the standard scalar product of v and w

Purpose:
  computes the scalar product of two intvecs

Assume:
  the arguments are of the same size

Example:

    LIB "bfun.lib";
    intvec v = 1,2,3;
    intvec w = 4,5,6;
    scalarProd(v,w);
    ==> 32

User manual for Singular version 4.4.1, 2025, generated by texi2html.